- Qt 5.15
- Qt 3D
- C++ Classes
- QRenderCapture
- Qt 5.15.11 Reference Documentation

# Obsolete Members for QRenderCapture

The following members of class QRenderCapture are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` Qt3DRender::QRenderCaptureReply * | requestCapture(int captureId) | [see note below]

Note: This function can be invoked via the meta-object system and from QML. See Q_INVOKABLE.

## Member Function Documentation

### Qt3DRender::QRenderCaptureReply *QRenderCapture::requestCapture(int captureId)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Used to request render capture. User can specify a captureId to identify the request. The requestId does not have to be unique. Only one render capture result is produced per requestCapture call even if the frame graph has multiple leaf nodes. The function returns a QRenderCaptureReply object, which receives the captured image when it is done. The user is responsible for deallocating the returned object by calling deleteLater().

Note: This function can be invoked via the meta-object system and from QML. See Q_INVOKABLE.